 clear all
 close all

 figure
 
 
 [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
  
 [ all, c, ax, vx ] = PMCC(d, sr); 
 
 c_idct       = idct(c, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
  title('PMCC-zakladne kepstralne koef. (clean,white,music,street)')
 
 
  [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
 [ all, c, ax, vx ] = PMCC(d, sr); 
 
 c_idct       = idct(c, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 
 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
 [ all, c, ax, vx ] = PMCC(d, sr);
 
 c_idct       = idct(c, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
  
 
 [d,sr] = wavread('sb01_Street_05dB.sph.wav');
 subplot(414)
 [ all, c, ax, vx ] = PMCC(d, sr);
 
 c_idct       = idct(c, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 
 
  
 
 
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 
 figure

 [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
 [ all, c, ax, vx ] = PMCC(d, sr); 
 
 c_idct       = idct(vx, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 title('PMCC-diferencne kepstralne koef. (clean,white,music,street)')
 
  [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
 [ all, c, ax, vx ] = PMCC(d, sr); 
 
 c_idct       = idct(vx, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index') 
 
 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
 [ all, c, ax, vx ] = PMCC(d, sr);
 
 c_idct       = idct(vx, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
  
 
 [d,sr] = wavread('sb01_Street_05dB.sph.wav');
 subplot(414)
 [ all, c, ax, vx ] = PMCC(d, sr);
 
 c_idct       = idct(vx, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 
 
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 
  figure

 [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
 [ all, c, ax, vx ] = PMCC(d, sr); 
 
 c_idct       = idct(ax, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
title('PMCC-akceleracne kepstralne koef. (clean,white,music,street)')
 
  [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
 [ all, c, ax, vx ] = PMCC(d, sr); 
 
 c_idct       = idct(ax, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index') 
 
 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
 [ all, c, ax, vx ] = PMCC(d, sr);
 
 c_idct       = idct(ax, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
  
 
 [d,sr] = wavread('sb01_Street_05dB.sph.wav');
 subplot(414)
 [ all, c, ax, vx ] = PMCC(d, sr);
 
 c_idct       = idct(ax, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 


 
 
 figure

 [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
 [ all, c, ax, vx ] = PMCC(d, sr); 
 
 c_idct       = idct(all);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 title('PMCC-39 kepstralnych koef. (clean,white,music,street)')
 
  [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
 [ all, c, ax, vx ] = PMCC(d, sr); 
 
 c_idct       = idct(all);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
 [ all, c, ax, vx ] = PMCC(d, sr);
 
 c_idct       = idct(all);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
  
 
 [d,sr] = wavread('sb01_Street_05dB.sph.wav');
 subplot(414)
 [ all, c, ax, vx ] = PMCC(d, sr);
 
 c_idct       = idct(all);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 figure
 
 
 [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
  
 [ all, c, ax, vx ] = PMCC(d, sr); 
 
 c_idct       = idct(c, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * c_idct + far_skala_1);
xlabel('Rámce')
 ylabel('Kanály')
 axis xy
 title('Reč s tichom na pozadí')
 
 
  [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
 [ all, c, ax, vx ] = PMCC(d, sr); 
 
 c_idct       = idct(c, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);
xlabel('Rámce')
 ylabel('Kanály')
 axis xy
 title('Reč s bielym šum na pozadí')
 
 
 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
 [ all, c, ax, vx ] = PMCC(d, sr);
 
 c_idct       = idct(c, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);
xlabel('Rámce')
 ylabel('Kanály')
 axis xy
  title('Reč s hudbou na pozadí')
 
  
 
 [d,sr] = wavread('sb01_Street_05dB.sph.wav');
 subplot(414)
 [ all, c, ax, vx ] = PMCC(d, sr);
 
 c_idct       = idct(c, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);
xlabel('Rámce')
 ylabel('Kanály')
 axis xy
title('Reč so zvukmi z ulice na pozadí') 